Edit AWS Origin
Patchhttps://api.cdn77.com/v3/origin/aws/{id}Request parameters
- idstring in pathrequired
Request body≥1 required
- base_dirstring
- labelstring
- notestring
Optional note for the Origin.
- schemestring
Available values: http, https
- hoststring
- portinteger
- fallback_originsarray of objects
- aws_access_key_idstring
- aws_access_key_secretstring
- aws_regionstring
Example of the request body
{
"base_dir": "/pictures/images",
"label": "My AWS Origin",
"note": "Note for my Origin",
"scheme": "https",
"host": "my.s3.amazonaws.com",
"port": 1000,
"fallback_origins": [
{
"origin_id": "9880280c-0507-46d1-88f3-71cfee83fa57",
"priority": 0
}
],
"aws_access_key_id": "KLAMIDYDRAP8CJYC1DN",
"aws_access_key_secret": "3a1F8jM+xJyDkHdUQazbcq5mDI2gW0vFsFbLi6PW",
"aws_region": "us-east-1"
}Responses
Origin updated.